Functions (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.functions

## Class Functions

- java.lang.Object
- - org.apache.cassandra.cql3.functions.Functions

-     public abstract class Functions
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addOrReplaceFunction(AbstractFunction fun)`
    `static java.util.Collection<Function>` | `all()`
    `static java.util.List<Function>` | `find(FunctionName name)`
    `static Function` | `find(FunctionName name, java.util.List<AbstractType<?>> argTypes)`
    `static Function` | `get(java.lang.String keyspace, FunctionName name, java.util.List<? extends AssignmentTestable> providedArgs, java.lang.String receiverKs, java.lang.String receiverCf, AbstractType<?> receiverType)`
    `static int` | `getOverloadCount(FunctionName name)`
    `static java.util.List<Function>` | `getReferencesTo(Function old)`
    `static ColumnSpecification` | `makeArgSpec(java.lang.String receiverKs, java.lang.String receiverCf, Function fun, int i)`
    `static void` | `removeFunction(FunctionName name, java.util.List<AbstractType<?>> argTypes)`
    `static boolean` | `typeEquals(AbstractType<?> t1, AbstractType<?> t2)`
    `static boolean` | `typeEquals(java.util.List<AbstractType<?>> t1, java.util.List<AbstractType<?>> t2)`
    `static int` | `typeHashCode(AbstractType<?> t)`
    `static int` | `typeHashCode(java.util.List<AbstractType<?>> types)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeArgSpec

          public static ColumnSpecification makeArgSpec(java.lang.String receiverKs,
                                                        java.lang.String receiverCf,
                                                        Function fun,
                                                        int i)

    - #### getOverloadCount

          public static int getOverloadCount(FunctionName name)

    - #### get

          public static Function get(java.lang.String keyspace,
                                     FunctionName name,
                                     java.util.List<? extends AssignmentTestable> providedArgs,
                                     java.lang.String receiverKs,
                                     java.lang.String receiverCf,
                                     AbstractType<?> receiverType)
                              throws InvalidRequestException

      Parameters:
        `keyspace` - the current keyspace
        `name` - the name of the function
        `providedArgs` - the arguments provided for the function call
        `receiverKs` - the receiver's keyspace
        `receiverCf` - the receiver's table
        `receiverType` - if the receiver type is known (during inserts, for example), this should be the type of the receiver
      Throws:
        `InvalidRequestException`

    - #### find

          public static java.util.List<Function> find(FunctionName name)

    - #### find

          public static Function find(FunctionName name,
                                      java.util.List<AbstractType<?>> argTypes)

    - #### addOrReplaceFunction

          public static void addOrReplaceFunction(AbstractFunction fun)

    - #### removeFunction

          public static void removeFunction(FunctionName name,
                                            java.util.List<AbstractType<?>> argTypes)

    - #### getReferencesTo

          public static java.util.List<Function> getReferencesTo(Function old)

    - #### all

          public static java.util.Collection<Function> all()

    - #### typeEquals

          public static boolean typeEquals(AbstractType<?> t1,
                                           AbstractType<?> t2)

    - #### typeEquals

          public static boolean typeEquals(java.util.List<AbstractType<?>> t1,
                                           java.util.List<AbstractType<?>> t2)

    - #### typeHashCode

          public static int typeHashCode(AbstractType<?> t)

    - #### typeHashCode

          public static int typeHashCode(java.util.List<AbstractType<?>> types)

Copyright © 2018 The Apache Software Foundation